Skip to main content
POST
/
v1
/
workspaces
Create a workspace
curl --request POST \
  --url https://api.runtools.ai/v1/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "nfsPath": "<string>",
    "sizeBytes": 123,
    "quotaBytes": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "lastAccessedAt": "2023-11-07T05:31:56Z",
    "isPersonal": true,
    "ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ownerDisplayName": "<string>",
    "ownerEmail": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS session token or RunTools API key (rt_live_* / rt_test_*). Used in Authorization: Bearer <token> header.

Body

application/json
name
string
required
slug
string
orgId
string<uuid>

Response

Created.

data
object